Subject: Re: WebDAV properties

From: [email-masked]
Date: Tue, 21 Nov 2000 09:25:15 +0000

...and (just to state the obvious), the namespace declaration
xmlns:Z="http://www.w3.com/standards/z39.50/">
must also be stored as part of the <Z:Authors> property.

Tim Ellison
Java Technology Centre, MP146
IBM UK Laboratory, Hursley Park, Winchester, UK.
tel: +44 (0)1962 819872  internal: 249872  MOBx: 270452

Greg Stein <[email-masked]> on 2000-11-21 03:00:20 AM

Please respond to Greg Stein <[email-masked]>

To:   Adam Klatzkin <[email-masked]>
cc:   "[email-masked]'" <[email-masked]>
Subject:  Re: WebDAV properties

On Mon, Nov 20, 2000 at 02:09:40PM -0500, Adam Klatzkin wrote:
>...
> Example from section 8.2.2
>
> <?xml version="1.0" encoding="utf-8" ?>
> <D:propertyupdate xmlns:D="DAV:"
> xmlns:Z="http://www.w3.com/standards/z39.50/">
>  <D:set>
>    <D:prop>
>       <Z:authors>
>           <Z:Author>Jim Whitehead</Z:Author>
>           <Z:Author>Roy Fielding</Z:Author>
>       </Z:authors>
>    </D:prop>
>   </D:set>
> </D:propertyupdate>
>
>
> Unless I am interpreting this incorrectly, the example seems to violate
the
> definition of the property namespace as described in section 4.5.
> Can anybody provide any insight into this?
> One thought is that maybe
>           <Z:Author>Jim Whitehead</Z:Author>
>           <Z:Author>Roy Fielding</Z:Author>
> is itself the value that should be stored for the Z:authors property?

That XML fragment is indeed the property value for Z:authors.

> If that is the case then how do I prevent an XML parser from parsing the
> element tags?

Probably with extreme difficulty. Probably not even possible with most XML
parsers.

> Do I have to attempt to rebuild this string from the parsed
> data and store it?

If you want to interpret the value as a string... yes -- you would need to
rebuild it.

As a concrete example of this behavior: mod_dav parses the above
DAV:propertyupdate request into an XML structure. When it goes to store the
Z:authors property's value, it reconstructs the string and stores that. So,
there is precedent for reconstruction.

Cheers,
-g

--
Greg Stein, http://www.lyra.org/